Backend (API Key)External Invocations
Returns a page of the connected user's external invocations
Returns a page of the connected user's external invocations: embedded MCP component and workflow tool calls, executeAction calls and executeTool calls. Tool inputs and outputs are not included.
AuthorizationBearer <token>
In: header
Path Parameters
externalUserId*string
The external user id.
Query Parameters
source?string
Return only invocations made through this source.
Value in
- "MCP_SERVER"
- "API_ACTION"
- "API_TOOL"
status?string
Return only invocations with this status.
Value in
- "SUCCESS"
- "ERROR"
- "CONNECTION_REQUIRED"
- "TIMEOUT"
- "APPROVAL_REQUIRED"
- "APPROVAL_DENIED"
- "RULE_BLOCKED"
- "SUSPENDED"
startDate?string
Return only invocations recorded at or after this instant.
Format
date-timeendDate?string
Return only invocations recorded at or before this instant.
Format
date-timepageNumber?integer
The number of the page to return.
Format
int32Default
0Header Parameters
X-Environment?string
The environment.
Value in
- "DEVELOPMENT"
- "STAGING"
- "PRODUCTION"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/string/external-invocations"{ "content": [ { "componentName": "string", "componentVersion": 0, "createdDate": "2019-08-24T14:15:22Z", "durationMs": 0, "errorMessage": "string", "errorType": "string", "id": 0, "integrationInstanceId": 0, "invocationName": "string", "jobId": 0, "kind": "COMPONENT", "operationName": "string", "source": "MCP_SERVER", "status": "SUCCESS" } ], "number": 0, "numberOfElements": 0, "size": 0, "totalElements": 0, "totalPages": 0}How is this guide?